from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XLogger(Protocol):
    def addLogHandler(self, LogHandler: XLogHandler) -> None: ...
    def removeLogHandler(self, LogHandler: XLogHandler) -> None: ...
    def isLoggable(self, Level: int) -> bool: ...
    def log(self, Level: int, Message: str) -> None: ...
    def logp(self, Level: int, SourceClass: str, SourceMethod: str, Message: str) -> None: ...
